String Message;  // Declare a string variable to store incoming serial messages

void setup() {
  Serial.begin(9600);  // Initialize serial communication at 9600 baud
  delay(100);  // Delay for stability
}

void loop() {
  // Print "on" and "off" messages to serial every 2.5 seconds
  Serial.print("on");
  delay(2500);
  Serial.print("off");
  delay(2500);

  // Check if there's any serial data available
  if (Serial.available()) {
    Message = Serial.readString();  // Read the incoming serial message and store it in the 'Message' variable
  }

  // Uncomment the line below to print the received message to the serial monitor
  // Serial.println(Message);
}
